> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zenflow.com.ar/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Stock

> Get stock levels for a specific product

# Get Product Stock

Retrieve stock levels for a specific product across all locations.

<Note>Requires `read:stock` scope.</Note>

## Request

```bash theme={null}
GET /api/v1/stock/product/{productId}
```

### Path Parameters

<ParamField path="productId" type="integer" required>
  The product ID
</ParamField>

## Example

```bash theme={null}
curl -X GET "https://api.zenflow.com.ar/api/v1/stock/product/100" \
  -H "X-API-Key: zenflow_live_your_key"
```

### Response

```json theme={null}
{
  "success": true,
  "data": {
    "product_id": 100,
    "product_name": "Widget A",
    "barcode": "7891234567890",
    "total_quantity": 75,
    "locations": [
      {
        "location_id": "LOC-A1",
        "location_code": "A-01-01",
        "zone": "A",
        "quantity": 50
      },
      {
        "location_id": "LOC-B1",
        "location_code": "B-01-01",
        "zone": "B",
        "quantity": 25
      }
    ]
  }
}
```
